summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2016-03-26 11:56:09 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-03-26 11:58:38 +0100
commit416725d4f054d7b39db58ad02f34dc8ce6da89d2 (patch)
tree2592d676c761474a1786cf2df051a7685219fe4a
parentkde-misc/kdiff3: Remove old (diff)
downloadgentoo-416725d4f054d7b39db58ad02f34dc8ce6da89d2.tar.gz
gentoo-416725d4f054d7b39db58ad02f34dc8ce6da89d2.tar.bz2
gentoo-416725d4f054d7b39db58ad02f34dc8ce6da89d2.zip
dev-tex/latex2html: Version bump, bug 566516
Package-Manager: portage-2.2.28
-rw-r--r--dev-tex/latex2html/Manifest1
-rw-r--r--dev-tex/latex2html/latex2html-2015.ebuild82
2 files changed, 83 insertions, 0 deletions
diff --git a/dev-tex/latex2html/Manifest b/dev-tex/latex2html/Manifest
index 1a28c856876..8166f3e7cd9 100644
--- a/dev-tex/latex2html/Manifest
+++ b/dev-tex/latex2html/Manifest
@@ -1,2 +1,3 @@
DIST latex2html-2008.tar.gz 1133054 SHA256 59456815a3984250c295d3d5c46b85646038db8db2735cdc0d3780cf4da337ad SHA512 e5a9d1700fcc45e6fcb7bae79e25acd52b7a84b70a75b3c7f1e746f65adbd48219a828420f6a7c437613d5c74dfb0405c91df01ac9c1535e9850f3a3e5c47f60 WHIRLPOOL 3d4dba64a2ce1b548749f5a5d489afba8694b2b6214dc5b7030820898d13a33dd708c751d2dc625a3d93930bcc0e483fa3e6736a2812c3baf395f70bb77404dc
+DIST latex2html-2015.tar.gz 1217699 SHA256 248cf84c70dd31221ddc69ef7ce0e720aadd26b572ee412827eae62f0eefb8dd SHA512 dd031944250efd28691edeba5e83b4c5c0deec3a2e7c2ab2a9bd285a911f6ab21a02cd0ef697bebc2c7c7c0ebd285493c1d6b01b0db9355fc7f3316a2af65e2c WHIRLPOOL 27e086e44ace2cae80d0b29390d3ba63f426c3facd8ac5e4573b580260a3e859c29bd0496ed0f864c0e2644ff0105e9b0cfeb45d9812c54b97f6386c5844b0c9
DIST latex2html-match-multiline.patch.bz2 8147 SHA256 fa4c74b1e6ef3fc337485b7940922aaa1aed0c33a533e75f4a97503547f4570e SHA512 01ec0dd1705f030736432a7fa8bf99c83c9e4f01c9755319d36e65e18737361d23073277692a8c44af529a1c37caabcc9e720a4be57e64300f945060e88f6641 WHIRLPOOL d0f69d16060d9829cafdc266acdb50e2071cf742841e7fcce524d69268c51036665670c0e3111e83dea8271cb0032f2362686c976a8b2c9032b50125ab3a9b2c
diff --git a/dev-tex/latex2html/latex2html-2015.ebuild b/dev-tex/latex2html/latex2html-2015.ebuild
new file mode 100644
index 00000000000..72e9f15adf2
--- /dev/null
+++ b/dev-tex/latex2html/latex2html-2015.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Convertor written in Perl that converts LATEX documents to HTML"
+HOMEPAGE="http://www.latex2html.org/"
+SRC_URI="http://mirrors.ctan.org/support/latex2html/latex2html-2015.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="gif png"
+
+DEPEND="app-text/ghostscript-gpl
+ virtual/latex-base
+ media-libs/netpbm
+ dev-lang/perl
+ gif? ( media-libs/giflib )
+ png? ( media-libs/libpng:0 )"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}"-{convert-length,perl_name,extract-major-version-2,destdir}.patch )
+
+src_prepare() {
+ default
+
+ # Dont install old url.sty and other files
+ # Bug #240980
+ rm texinputs/url.sty texinputs/latin9.def \
+ || die "failed to remove duplicate latex files"
+
+ sed -i -e 's%@PERL@%'"${EPREFIX}"'/usr/bin/perl%g' wrapper/unix.pin || die
+}
+
+src_configure() {
+ local myconf
+
+ use gif || use png || myconf="${myconf} --disable-images"
+
+ econf --libdir="${EPREFIX}"/usr/$(get_libdir)/latex2html \
+ --shlibdir="${EPREFIX}"/usr/$(get_libdir)/latex2html \
+ --enable-pk \
+ --enable-eps \
+ --enable-reverse \
+ --enable-pipes \
+ --enable-paths \
+ --enable-wrapper \
+ --with-texpath="${EPREFIX}"/usr/share/texmf-site/tex/latex/html \
+ --without-mktexlsr \
+ $(use_enable gif) \
+ $(use_enable png) \
+ ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ # make /usr/share/latex2html sticky
+ keepdir /usr/share/latex2html
+
+ # clean the perl scripts up to remove references to the sandbox
+ local dir="${ED}/usr/$(get_libdir)/latex2html"
+ if use png || use gif; then
+ # pstoimg isn't built unless gif or png useflags are enabled
+ sed -i -e "s:${T}:/tmp:g" "${dir}"/pstoimg.pl || die
+ fi
+ sed -i -e "s:${S}::g" "${dir}"/latex2html.pl || die
+ sed -i -e "s:${T}:/tmp:g" "${dir}"/cfgcache.pm || die
+ sed -i -e "s:${T}:/tmp:g" "${dir}"/l2hconf.pm || die
+
+ dodoc BUGS Changes FAQ MANIFEST README TODO
+}
+
+pkg_postinst() {
+ "${EROOT}"/usr/bin/mktexlsr
+}
+
+pkg_postrm() {
+ "${EROOT}"/usr/bin/mktexlsr
+}